Initiate an external account

Initiate a new external account with status=Unverified and start the micro-deposit process. See externalAccount object definition for parameter details.

🚧Warning

Sandbox environment only:

  • Routing number 123456789 sets bank name to COREPRO SANDBOX BANK.
  • Trial deposit amounts are always 0.18 and 0.28.
  • /externalAccount/verify can be called immediately.

Production environment only:

A request to
/externalAccount/verify must be sent at a later date to allow time for the ACH process to occur at the external bank.

Error Codes

Click to expand
CodeMessage (en-US)Notes
1-60000Any "Common Error Code" may occur.See Common Error Codes
62008Tag {request.tag} is already associated with another external account.
62601Invalid Type: ''{request.type}''. Refer to API documentation for valid types.
62602An external bank account with nickname '{request.nickName}' already exists.
62604FirstName is a required field for account type {request.type}.
62605LastName is a required field for account type {request.type}.
62607Account number is a required field.
62609At most 0 external account(s) may be added.
62612Account number invalid, please refer to API documentation for valid characters
62613Account number must be no more than 17 digits in length.
69203Routing number is a required field.
69205Routing number lookup failed. 0
69206Routing number {request.routingNumber} must be numeric.
69208Invalid routing number '{request.routingNumber}'.
62616BusinessName is a required field for account type {request.type}.
62617External Account creation is not enabled.
62618requestingCustomerId '{request.requestingCustomerId}' does not have permission to manage external accounts for customerId '{request.customerId}'
Body Params
int32
required
≥ 1
string
required
length ≤ 50
string
required
length ≤ 17
string
required
length ≤ 50
string
required
length ≤ 50
string
length ≤ 100
string
enum
required
Allowed:
string
length ≤ 50
string
length ≤ 50
string
length ≤ 50
string
length ≤ 50
string
length ≤ 50
string
length ≤ 50
string
length ≤ 50
string
length ≤ 50
int32
≥ 1

The Helix-assigned unique ID for the individual customer requesting to create the external account. Only used when an individual is creating an external account on behalf of a business.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json